<?php
// 'order' object
class Order{

    // database connection and table name
    private $conn;
    private $table_name = "orders";

    // object properties
	public $id;
	public $transaction_id;
	public $user_id;
	public $firstname;
	public $lastname;
	public $total_cost;
	public $status;
	public $created;

	// constructor
    public function __construct($db){
        $this->conn = $db;
    }

    // create record
    function create(){

        // to get time-stamp for 'created' field
        $this->created=date('Y-m-d H:i:s');

        // insert query
        $query = "INSERT INTO " . $this->table_name . "
                SET
					transaction_id = :transaction_id,
					user_id = :user_id,
					total_cost = :total_cost,
                    status = :status,
					created = :created";

		// prepare query statement
        $stmt = $this->conn->prepare($query);

		// sanitize
		$this->transaction_id=htmlspecialchars(strip_tags($this->transaction_id));
		$this->user_id=htmlspecialchars(strip_tags($this->user_id));
		$this->total_cost=htmlspecialchars(strip_tags($this->total_cost));

		// bind values to be inserted
        $stmt->bindParam(":transaction_id", $this->transaction_id);
        $stmt->bindParam(":user_id", $this->user_id);
        $stmt->bindParam(":total_cost", $this->total_cost);
        $stmt->bindParam(":status", $this->status);
        $stmt->bindParam(":created", $this->created);

		// execute the query
        if($stmt->execute()){
            return true;
        }else{
            return false;
        }
    }

}
